!++
!     Define symbols according to macro values
!--

.IFDEF DEBUG
DBG = /DEBUG
DBGOPT = /NOOPTIMIZE/DEBUG
.ELSE
DBG = /NODEBUG
DBGOPT = /OPTIMIZE/NODEBUG
.ENDIF

.IFDEF LIST
LST = /LIST
.ELSE
LST = /NOLIST
.ENDIF

.IFDEF DIAG
DIA = /DIAGNOSTICS
.ELSE
DIA = /NODIAGNOSTICS
.ENDIF

.IFDEF PCA
PCAOPT = /DEBUG
.ENDIF

!++
!     Missing sources catch-all
!--

.DEFAULT
   ! No source found for $(MMS$TARGET)
   ! - Attempting to continue



!++
!   Complete application - default build item
!--

COMPLETE_APPLICATION depends_on -
       MPGLIB.OLB
        CONTINUE

MPGLIB.OLB depends_on -
      COMMON.OBJ -
     ,DCT64_I386.OBJ -
     ,DECODE_I386.OBJ -
     ,INTERFACE.OBJ -
     ,LAYER3.OBJ -
     ,PROCESSMP3.OBJ -
     ,TABINIT.OBJ -
     !
	CONTINUE

!++
!   C
!--

COMMON.OBJ depends_on -
      COMMON.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(CTYPE=CTYPE.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(FCNTL=FCNTL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STAT.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=TYPES.H) -
     ,MPG123.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=COMMON.OBJ COMMON.C
       LIBRARY/REPLACE MPGLIB.OLB COMMON.OBJ
       DELETE COMMON.OBJ;*

DCT64_I386.OBJ depends_on -
      DCT64_I386.C -
     ,MPG123.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=DCT64_I386.OBJ DCT64_I386.C
       LIBRARY/REPLACE MPGLIB.OLB DCT64_I386.OBJ
       DELETE DCT64_I386.OBJ;*

DECODE_I386.OBJ depends_on -
      DECODE_I386.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,MPG123.H -
     ,MPGLIB.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=DECODE_I386.OBJ DECODE_I386.C
       LIBRARY/REPLACE MPGLIB.OLB DECODE_I386.OBJ
       DELETE DECODE_I386.OBJ;*

INTERFACE.OBJ depends_on -
      INTERFACE.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,MPG123.H -
     ,MPGLIB.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=INTERFACE.OBJ INTERFACE.C
       LIBRARY/REPLACE MPGLIB.OLB INTERFACE.OBJ
       DELETE INTERFACE.OBJ;*

LAYER3.OBJ depends_on -
      LAYER3.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,HUFFMAN.H -
     ,MPG123.H -
     ,MPGLIB.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=LAYER3.OBJ LAYER3.C
       LIBRARY/REPLACE MPGLIB.OLB LAYER3.OBJ
       DELETE LAYER3.OBJ;*

PROCESSMP3.OBJ depends_on -
      PROCESSMP3.C -
     ,MPG123.H -
     ,MPGLIB.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=PROCESSMP3.OBJ PROCESSMP3.C
       LIBRARY/REPLACE MPGLIB.OLB PROCESSMP3.OBJ
       DELETE PROCESSMP3.OBJ;*

TABINIT.OBJ depends_on -
      TABINIT.C -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDLIB=STDLIB.H) -
     ,MPG123.H -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(MATH=MATH.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(SIGNAL=SIGNAL.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STDIO=STDIO.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(STRING=STRING.H) -
     ,ALPHA$LIBRARY:DECC$RTLDEF.TLB(UNISTD=UNISTD.H) -
     !
       $(CC) $(CFLAGS)  $(LST) $(DBGOPT) $(DIA) /OBJ=TABINIT.OBJ TABINIT.C
       LIBRARY/REPLACE MPGLIB.OLB TABINIT.OBJ
       DELETE TABINIT.OBJ;*


!++
!  Create object library if it doesn't already exist
!--

.FIRST
	! MMS $(mmsqualifiers) $(mmstargets)
       IF F$SEARCH( "MPGLIB.OLB" ) .EQS. "" -
		THEN $(LIBR)/CREATE MPGLIB.OLB

!++
!  End of build cleanup work
!--

.LAST
       CONTINUE

